/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __MOVIEVIEW_H__
#define __MOVIEVIEW_H__

typedef struct _MovieView MovieView;

struct _MovieView
{
    GtkWidget      *container;
    GtkWidget      *vbox;
    GtkWidget      *event_box;
    GtkWidget      *xine;
    GtkWidget      *hbox;
    GtkWidget      *toolbar;
    GtkWidget      *play_btn;
    GtkWidget      *pause_btn;
    GtkWidget      *stop_btn;
    GtkWidget      *forward_btn;
    GtkWidget      *previous_btn;
    GtkWidget      *next_btn;

    /*
     * seek 
     */
    GtkWidget      *seek;
    GtkObject      *seek_adj;
    gint            seek_timer_id;
    gboolean        seek_lock;

    gboolean        is_fullscreen;
    gboolean        is_hide;

};

extern MovieView *movieview;

void            movieview_create (void);
void            movieview_destroy (void);
void            movieview_play (gchar * name);
void            movieview_stop (void);
void            movieview_fullscreen_mode_set (void);
void movieview_create_thumb(void);

#endif /* __MOVIEVIEW_H__ */
