/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __PREFSWIN_H__
#define __PREFSWIN_H__

typedef GtkWidget *(*CreatePrefsPage) (void);

typedef struct PrefsPage_Tag
{
    gchar          *title;
    gchar          *parent;
    gchar          *sibling;
    CreatePrefsPage create_page_fn;

    GtkCTreeNode   *node;
    GtkWidget      *page;
}
PrefsPage;

extern Config  *conf_temp;

void            prefs_window_open (void);

#endif /* __PREFSWIN_H__ */
